package com.bailuntec.domain.pojo;

import java.math.BigDecimal;

public class GetSupplierInfo {
    /// <summary>
    /// 标识主键
    /// </summary>
    public Integer id;

    /// <summary>
    /// 关系表主键
    /// </summary>
    public Integer relationId;

    /// <summary>
    /// 商品主键
    /// </summary>
    public Integer mainId;

    /// <summary>
    /// sku主键
    /// </summary>
    public Integer sId;

    /// <summary>
    /// sku
    /// </summary>
    public String sku;

    /// <summary>
    /// 询价员Id
    /// </summary>
    public Integer enquiryId;

    /// <summary>
    /// 询价员
    /// </summary>
    public String enquiryName;

    /// <summary>
    /// 供应商Id
    /// </summary>
    public Integer deliverId;

    /// <summary>
    /// 供应商
    /// </summary>
    public String deliverName;

    /// <summary>
    /// 供应商链接
    /// </summary>
    public String link;

    /// <summary>
    /// 供应商报价
    /// </summary>
    public BigDecimal price;

    /// <summary>
    /// 交期(天)
    /// </summary>
    public Integer delivery;

    /// <summary>
    /// 最小订单量
    /// </summary>
    public Integer moq;

    /// <summary>
    /// 内部moq
    /// </summary>
    public Integer IntegerernalMoq;

    /// <summary>
    /// 是否默认供应商1是，0否
    /// </summary>
    public Integer isDefault;

    /// <summary>
    /// 备注
    /// </summary>
    public String remark;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getRelationId() {
        return relationId;
    }

    public void setRelationId(Integer relationId) {
        this.relationId = relationId;
    }

    public Integer getMainId() {
        return mainId;
    }

    public void setMainId(Integer mainId) {
        this.mainId = mainId;
    }

    public Integer getsId() {
        return sId;
    }

    public void setsId(Integer sId) {
        this.sId = sId;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public Integer getEnquiryId() {
        return enquiryId;
    }

    public void setEnquiryId(Integer enquiryId) {
        this.enquiryId = enquiryId;
    }

    public String getEnquiryName() {
        return enquiryName;
    }

    public void setEnquiryName(String enquiryName) {
        this.enquiryName = enquiryName;
    }

    public Integer getDeliverId() {
        return deliverId;
    }

    public void setDeliverId(Integer deliverId) {
        this.deliverId = deliverId;
    }

    public String getDeliverName() {
        return deliverName;
    }

    public void setDeliverName(String deliverName) {
        this.deliverName = deliverName;
    }

    public String getLink() {
        return link;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Integer getDelivery() {
        return delivery;
    }

    public void setDelivery(Integer delivery) {
        this.delivery = delivery;
    }

    public Integer getMoq() {
        return moq;
    }

    public void setMoq(Integer moq) {
        this.moq = moq;
    }

    public Integer getIntegerernalMoq() {
        return IntegerernalMoq;
    }

    public void setIntegerernalMoq(Integer integerernalMoq) {
        IntegerernalMoq = integerernalMoq;
    }

    public Integer getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Integer isDefault) {
        this.isDefault = isDefault;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
